Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## game
Class Round

    java.lang.Object
      game.Round

    public class Round

extends java.lang.Object

Contains information of one round (sequence of actions and revealed board cards)

Author:
  Witthold/Korol

Field Summary
`private java.util.ArrayList<Action>` | `actions`
`private Card[]` | `boardCards`
`private long` | `timestamp`

Constructor Summary
`Round(Card[] boardCards)`

Method Summary
`void` | `add(Action action)`
`int` | `boardCardsLength()`
`java.lang.String` | `boardCardsToString()`
`java.lang.String` | `gameStorageToString()`
`Card[]` | `getBoardCards()`
`int` | `getCalls()`
`int` | `getChecks()`
`int` | `getFolds()`
`java.util.ArrayList<Action>` | `getHistory()`
`java.util.ArrayList<Action>` | `getHistory(int n)`
`int` | `getRaises()`
`long` | `getTimestamp()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timestamp

    private long timestamp

### actions

    private java.util.ArrayList<Action> actions

### boardCards

    private Card[] boardCards

Constructor Detail

### Round

    public Round(Card[] boardCards)

Method Detail

### add

    public void add(Action action)

### getBoardCards

    public Card[] getBoardCards()

### getHistory

    public java.util.ArrayList<Action> getHistory()

### getHistory

    public java.util.ArrayList<Action> getHistory(int n)

### boardCardsLength

    public int boardCardsLength()

### boardCardsToString

    public java.lang.String boardCardsToString()

### gameStorageToString

    public java.lang.String gameStorageToString()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getFolds

    public int getFolds()

### getChecks

    public int getChecks()

### getCalls

    public int getCalls()

### getRaises

    public int getRaises()

### getTimestamp

    public long getTimestamp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD